<?php

/**
 * Define the internationalization functionality
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @category   Core
 * @package    LLC
 * @subpackage Internationalization
 * @author     Joel James <mail@cjoel.com>
 * @license    http://www.gnu.org/licenses/ GNU General Public License
 * @link       https://duckdev.com/products/lazy-load-comments/
 */
class LLC_I18n {

    /**
     * The domain specified for this plugin.
     *
     * @since  1.0.0
     * @access private
     * @var    string  $domain The domain identifier for this plugin.
     */
    private $domain;

    /**
     * Load the plugin text domain for translation.
     *
     * @since  1.0.0
     * @access public
     * 
     * @return void
     */
    public function load_textdomain() {

        load_plugin_textdomain(
            $this->domain,
            false,
            dirname( dirname( plugin_basename( __FILE__ ) ) ) . '/languages/'
        );
    }

    /**
     * Set the domain equal to that of the specified domain.
     * 
     * @since  1.0.0
     * @access public
     * 
     * @return void
     */
    public function set_domain() {

        $this->domain = LLC_DOMAIN;
    }

}
